var __assign = this && this.__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];

      for (var p in s) {
        if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
      }
    }

    return t;
  };

  return __assign.apply(this, arguments);
};

var __rest = this && this.__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};

import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import * as React from 'react';
import classNames from 'classnames';
import Icon from "../icon";
import "./style/radio-nav.css";
var prefixCls = 'dmc-radio-nav';
var RadioNav = /*#__PURE__*/React.forwardRef(function (props, ref) {
  var _a;

  var checked = props.checked,
      defaultChecked = props.defaultChecked,
      value = props.value,
      className = props.className,
      children = props.children,
      onChange = props.onChange,
      icon = props.icon,
      restProps = __rest(props, ["checked", "defaultChecked", "value", "className", "children", "onChange", "icon"]);

  var val = !!('checked' in props ? checked : defaultChecked);
  var cls = classNames(prefixCls, (_a = {}, _a[prefixCls + "-active"] = val, _a), className);

  var onClick = function onClick() {
    onChange && onChange(value);
  };

  return _jsxs("div", __assign({}, restProps, {
    ref: ref,
    className: cls,
    onClick: onClick
  }, {
    children: [children, !!icon && _jsx(Icon, {
      icon: icon,
      className: prefixCls + "-icon"
    }, void 0)]
  }), void 0);
});
RadioNav.displayName = 'RadioNav';
export default RadioNav;
var RadioNavMemo = /*#__PURE__*/React.memo(RadioNav);
RadioNavMemo.displayName = 'RadioNavMemo';
export { RadioNavMemo };

